Package org.apache.xmlbeans.impl.xb.xmlconfig.impl

## Class ConfigDocumentImpl.ConfigImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xmlconfig.impl.ConfigDocumentImpl.ConfigImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `ConfigDocument.Config`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Enclosing class:
    ConfigDocumentImpl

      public static class ConfigDocumentImpl.ConfigImpl
      extends XmlComplexContentImpl
      implements ConfigDocument.Config

  An XML config(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.ConfigDocument.Config

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Extensionconfig` | `addNewExtension()` | Appends and returns a new empty value (as xml) as the last "extension" element
    `Nsconfig` | `addNewNamespace()` | Appends and returns a new empty value (as xml) as the last "namespace" element
    `Qnameconfig` | `addNewQname()` | Appends and returns a new empty value (as xml) as the last "qname" element
    `Usertypeconfig` | `addNewUsertype()` | Appends and returns a new empty value (as xml) as the last "usertype" element
    `Extensionconfig[]` | `getExtensionArray()` | Gets array of all "extension" elements
    `Extensionconfig` | `getExtensionArray​(int i)` | Gets ith "extension" element
    `List<Extensionconfig>` | `getExtensionList()` | Gets a List of "extension" elements
    `Nsconfig[]` | `getNamespaceArray()` | Gets array of all "namespace" elements
    `Nsconfig` | `getNamespaceArray​(int i)` | Gets ith "namespace" element
    `List<Nsconfig>` | `getNamespaceList()` | Gets a List of "namespace" elements
    `Qnameconfig[]` | `getQnameArray()` | Gets array of all "qname" elements
    `Qnameconfig` | `getQnameArray​(int i)` | Gets ith "qname" element
    `List<Qnameconfig>` | `getQnameList()` | Gets a List of "qname" elements
    `Usertypeconfig[]` | `getUsertypeArray()` | Gets array of all "usertype" elements
    `Usertypeconfig` | `getUsertypeArray​(int i)` | Gets ith "usertype" element
    `List<Usertypeconfig>` | `getUsertypeList()` | Gets a List of "usertype" elements
    `Extensionconfig` | `insertNewExtension​(int i)` | Inserts and returns a new empty value (as xml) as the ith "extension" element
    `Nsconfig` | `insertNewNamespace​(int i)` | Inserts and returns a new empty value (as xml) as the ith "namespace" element
    `Qnameconfig` | `insertNewQname​(int i)` | Inserts and returns a new empty value (as xml) as the ith "qname" element
    `Usertypeconfig` | `insertNewUsertype​(int i)` | Inserts and returns a new empty value (as xml) as the ith "usertype" element
    `void` | `removeExtension​(int i)` | Removes the ith "extension" element
    `void` | `removeNamespace​(int i)` | Removes the ith "namespace" element
    `void` | `removeQname​(int i)` | Removes the ith "qname" element
    `void` | `removeUsertype​(int i)` | Removes the ith "usertype" element
    `void` | `setExtensionArray​(int i, Extensionconfig extension)` | Sets ith "extension" element
    `void` | `setExtensionArray​(Extensionconfig[] extensionArray)` | Sets array of all "extension" element WARNING: This method is not atomicaly synchronized.
    `void` | `setNamespaceArray​(int i, Nsconfig namespace)` | Sets ith "namespace" element
    `void` | `setNamespaceArray​(Nsconfig[] namespaceArray)` | Sets array of all "namespace" element WARNING: This method is not atomicaly synchronized.
    `void` | `setQnameArray​(int i, Qnameconfig qname)` | Sets ith "qname" element
    `void` | `setQnameArray​(Qnameconfig[] qnameArray)` | Sets array of all "qname" element WARNING: This method is not atomicaly synchronized.
    `void` | `setUsertypeArray​(int i, Usertypeconfig usertype)` | Sets ith "usertype" element
    `void` | `setUsertypeArray​(Usertypeconfig[] usertypeArray)` | Sets array of all "usertype" element WARNING: This method is not atomicaly synchronized.
    `int` | `sizeOfExtensionArray()` | Returns number of "extension" element
    `int` | `sizeOfNamespaceArray()` | Returns number of "namespace" element
    `int` | `sizeOfQnameArray()` | Returns number of "qname" element
    `int` | `sizeOfUsertypeArray()` | Returns number of "usertype" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ConfigImpl

          public ConfigImpl​(SchemaType sType)

  - ### Method Detail

    - #### getNamespaceList

          public List<Nsconfig> getNamespaceList()

      Gets a List of "namespace" elements
      Specified by:
        `getNamespaceList` in interface `ConfigDocument.Config`

    - #### getNamespaceArray

          public Nsconfig[] getNamespaceArray()

      Gets array of all "namespace" elements
      Specified by:
        `getNamespaceArray` in interface `ConfigDocument.Config`

    - #### getNamespaceArray

          public Nsconfig getNamespaceArray​(int i)

      Gets ith "namespace" element
      Specified by:
        `getNamespaceArray` in interface `ConfigDocument.Config`

    - #### sizeOfNamespaceArray

          public int sizeOfNamespaceArray()

      Returns number of "namespace" element
      Specified by:
        `sizeOfNamespaceArray` in interface `ConfigDocument.Config`

    - #### setNamespaceArray

          public void setNamespaceArray​(Nsconfig[] namespaceArray)

      Sets array of all "namespace" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setNamespaceArray` in interface `ConfigDocument.Config`

    - #### setNamespaceArray

          public void setNamespaceArray​(int i,
                                        Nsconfig namespace)

      Sets ith "namespace" element
      Specified by:
        `setNamespaceArray` in interface `ConfigDocument.Config`

    - #### insertNewNamespace

          public Nsconfig insertNewNamespace​(int i)

      Inserts and returns a new empty value (as xml) as the ith "namespace" element
      Specified by:
        `insertNewNamespace` in interface `ConfigDocument.Config`

    - #### addNewNamespace

          public Nsconfig addNewNamespace()

      Appends and returns a new empty value (as xml) as the last "namespace" element
      Specified by:
        `addNewNamespace` in interface `ConfigDocument.Config`

    - #### removeNamespace

          public void removeNamespace​(int i)

      Removes the ith "namespace" element
      Specified by:
        `removeNamespace` in interface `ConfigDocument.Config`

    - #### getQnameList

          public List<Qnameconfig> getQnameList()

      Gets a List of "qname" elements
      Specified by:
        `getQnameList` in interface `ConfigDocument.Config`

    - #### getQnameArray

          public Qnameconfig[] getQnameArray()

      Gets array of all "qname" elements
      Specified by:
        `getQnameArray` in interface `ConfigDocument.Config`

    - #### getQnameArray

          public Qnameconfig getQnameArray​(int i)

      Gets ith "qname" element
      Specified by:
        `getQnameArray` in interface `ConfigDocument.Config`

    - #### sizeOfQnameArray

          public int sizeOfQnameArray()

      Returns number of "qname" element
      Specified by:
        `sizeOfQnameArray` in interface `ConfigDocument.Config`

    - #### setQnameArray

          public void setQnameArray​(Qnameconfig[] qnameArray)

      Sets array of all "qname" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setQnameArray` in interface `ConfigDocument.Config`

    - #### setQnameArray

          public void setQnameArray​(int i,
                                    Qnameconfig qname)

      Sets ith "qname" element
      Specified by:
        `setQnameArray` in interface `ConfigDocument.Config`

    - #### insertNewQname

          public Qnameconfig insertNewQname​(int i)

      Inserts and returns a new empty value (as xml) as the ith "qname" element
      Specified by:
        `insertNewQname` in interface `ConfigDocument.Config`

    - #### addNewQname

          public Qnameconfig addNewQname()

      Appends and returns a new empty value (as xml) as the last "qname" element
      Specified by:
        `addNewQname` in interface `ConfigDocument.Config`

    - #### removeQname

          public void removeQname​(int i)

      Removes the ith "qname" element
      Specified by:
        `removeQname` in interface `ConfigDocument.Config`

    - #### getExtensionList

          public List<Extensionconfig> getExtensionList()

      Gets a List of "extension" elements
      Specified by:
        `getExtensionList` in interface `ConfigDocument.Config`

    - #### getExtensionArray

          public Extensionconfig[] getExtensionArray()

      Gets array of all "extension" elements
      Specified by:
        `getExtensionArray` in interface `ConfigDocument.Config`

    - #### getExtensionArray

          public Extensionconfig getExtensionArray​(int i)

      Gets ith "extension" element
      Specified by:
        `getExtensionArray` in interface `ConfigDocument.Config`

    - #### sizeOfExtensionArray

          public int sizeOfExtensionArray()

      Returns number of "extension" element
      Specified by:
        `sizeOfExtensionArray` in interface `ConfigDocument.Config`

    - #### setExtensionArray

          public void setExtensionArray​(Extensionconfig[] extensionArray)

      Sets array of all "extension" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setExtensionArray` in interface `ConfigDocument.Config`

    - #### setExtensionArray

          public void setExtensionArray​(int i,
                                        Extensionconfig extension)

      Sets ith "extension" element
      Specified by:
        `setExtensionArray` in interface `ConfigDocument.Config`

    - #### insertNewExtension

          public Extensionconfig insertNewExtension​(int i)

      Inserts and returns a new empty value (as xml) as the ith "extension" element
      Specified by:
        `insertNewExtension` in interface `ConfigDocument.Config`

    - #### addNewExtension

          public Extensionconfig addNewExtension()

      Appends and returns a new empty value (as xml) as the last "extension" element
      Specified by:
        `addNewExtension` in interface `ConfigDocument.Config`

    - #### removeExtension

          public void removeExtension​(int i)

      Removes the ith "extension" element
      Specified by:
        `removeExtension` in interface `ConfigDocument.Config`

    - #### getUsertypeList

          public List<Usertypeconfig> getUsertypeList()

      Gets a List of "usertype" elements
      Specified by:
        `getUsertypeList` in interface `ConfigDocument.Config`

    - #### getUsertypeArray

          public Usertypeconfig[] getUsertypeArray()

      Gets array of all "usertype" elements
      Specified by:
        `getUsertypeArray` in interface `ConfigDocument.Config`

    - #### getUsertypeArray

          public Usertypeconfig getUsertypeArray​(int i)

      Gets ith "usertype" element
      Specified by:
        `getUsertypeArray` in interface `ConfigDocument.Config`

    - #### sizeOfUsertypeArray

          public int sizeOfUsertypeArray()

      Returns number of "usertype" element
      Specified by:
        `sizeOfUsertypeArray` in interface `ConfigDocument.Config`

    - #### setUsertypeArray

          public void setUsertypeArray​(Usertypeconfig[] usertypeArray)

      Sets array of all "usertype" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setUsertypeArray` in interface `ConfigDocument.Config`

    - #### setUsertypeArray

          public void setUsertypeArray​(int i,
                                       Usertypeconfig usertype)

      Sets ith "usertype" element
      Specified by:
        `setUsertypeArray` in interface `ConfigDocument.Config`

    - #### insertNewUsertype

          public Usertypeconfig insertNewUsertype​(int i)

      Inserts and returns a new empty value (as xml) as the ith "usertype" element
      Specified by:
        `insertNewUsertype` in interface `ConfigDocument.Config`

    - #### addNewUsertype

          public Usertypeconfig addNewUsertype()

      Appends and returns a new empty value (as xml) as the last "usertype" element
      Specified by:
        `addNewUsertype` in interface `ConfigDocument.Config`

    - #### removeUsertype

          public void removeUsertype​(int i)

      Removes the ith "usertype" element
      Specified by:
        `removeUsertype` in interface `ConfigDocument.Config`